Bug 13965 - samba-tool dns uses strings, not bytes for inet_ntop
samba-tool dns uses strings, not bytes for inet_ntop
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Python
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-05-23 22:21 UTC by Douglas Bagnall
Modified: 2019-06-20 09:51 UTC (History)
1 user (show)

See Also:


Attachments
patch that probably works (1.33 KB, patch)
2019-05-23 22:23 UTC, Douglas Bagnall
no flags Details
patch that actually works, which we know because it has tests (4.43 KB, patch)
2019-05-29 02:12 UTC, Douglas Bagnall
no flags Details
patch for 4.10 (4.74 KB, patch)
2019-05-29 14:54 UTC, Douglas Bagnall
npower: review+
dbagnall: ci‑passed+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Douglas Bagnall 2019-05-23 22:21:20 UTC

    
Comment 1 Douglas Bagnall 2019-05-23 22:23:23 UTC
Created attachment 15188 [details]
patch that probably works

This affects 4.10, which means we need a back-portable patch, not a simple py3 only patch.
Comment 2 Douglas Bagnall 2019-05-29 02:12:13 UTC
Created attachment 15197 [details]
patch that actually works, which we know because it has tests

At least it works in py3, and SHOULD work in py2.

https://gitlab.com/samba-team/devel/samba/pipelines/63632156
Comment 3 Douglas Bagnall 2019-05-29 14:54:36 UTC
Created attachment 15204 [details]
patch for 4.10

The 4.10 patch is cherry-picked from master, with BUG: lines added to the message.
Comment 4 Douglas Bagnall 2019-05-29 14:58:35 UTC
We should put this in the next 4.10. 

4.9 and earlier are not affected because they don't support Python 3.
Comment 5 Karolin Seeger 2019-06-04 09:49:36 UTC
Pushed to autobuild-v4-10-test.
Comment 6 Karolin Seeger 2019-06-20 09:51:29 UTC
Pushed to v4-10-test.